#from . import compatibility
from . import io
from . import geo
from . import numeric
from . import processing
from . import similarity

from .io.raster.GeoArray import GeoArray

__all__=[#'compatibility',
         'io',
         'geo',
         'numeric',
         'processing',
         'similarity',
         'GeoArray']

__version__ = '20161125_01'
__author__='Daniel Scheffler'

# Validate GDAL version
try:
    import gdal
    import gdalnumeric
except ImportError:
    from osgeo import gdal
    from osgeo import gdalnumeric

try:
    getattr(gdal,'Warp')
    getattr(gdal,'Translate')
    getattr(gdalnumeric,'OpenNumPyArray')
except AttributeError:
    import warnings
    warnings.warn("Your GDAL version is too old to support all functionalities of the 'py_tools_ds' package. "
                  "Please update GDAL!")
del gdal, gdalnumeric